package com.hai.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class HighApproveExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public HighApproveExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andObjectTypeIsNull() {
            addCriterion("object_type is null");
            return (Criteria) this;
        }

        public Criteria andObjectTypeIsNotNull() {
            addCriterion("object_type is not null");
            return (Criteria) this;
        }

        public Criteria andObjectTypeEqualTo(Integer value) {
            addCriterion("object_type =", value, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeNotEqualTo(Integer value) {
            addCriterion("object_type <>", value, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeGreaterThan(Integer value) {
            addCriterion("object_type >", value, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("object_type >=", value, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeLessThan(Integer value) {
            addCriterion("object_type <", value, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeLessThanOrEqualTo(Integer value) {
            addCriterion("object_type <=", value, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeIn(List<Integer> values) {
            addCriterion("object_type in", values, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeNotIn(List<Integer> values) {
            addCriterion("object_type not in", values, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeBetween(Integer value1, Integer value2) {
            addCriterion("object_type between", value1, value2, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("object_type not between", value1, value2, "objectType");
            return (Criteria) this;
        }

        public Criteria andObjectIdIsNull() {
            addCriterion("object_id is null");
            return (Criteria) this;
        }

        public Criteria andObjectIdIsNotNull() {
            addCriterion("object_id is not null");
            return (Criteria) this;
        }

        public Criteria andObjectIdEqualTo(Long value) {
            addCriterion("object_id =", value, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdNotEqualTo(Long value) {
            addCriterion("object_id <>", value, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdGreaterThan(Long value) {
            addCriterion("object_id >", value, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdGreaterThanOrEqualTo(Long value) {
            addCriterion("object_id >=", value, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdLessThan(Long value) {
            addCriterion("object_id <", value, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdLessThanOrEqualTo(Long value) {
            addCriterion("object_id <=", value, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdIn(List<Long> values) {
            addCriterion("object_id in", values, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdNotIn(List<Long> values) {
            addCriterion("object_id not in", values, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdBetween(Long value1, Long value2) {
            addCriterion("object_id between", value1, value2, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectIdNotBetween(Long value1, Long value2) {
            addCriterion("object_id not between", value1, value2, "objectId");
            return (Criteria) this;
        }

        public Criteria andObjectNameIsNull() {
            addCriterion("object_name is null");
            return (Criteria) this;
        }

        public Criteria andObjectNameIsNotNull() {
            addCriterion("object_name is not null");
            return (Criteria) this;
        }

        public Criteria andObjectNameEqualTo(String value) {
            addCriterion("object_name =", value, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameNotEqualTo(String value) {
            addCriterion("object_name <>", value, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameGreaterThan(String value) {
            addCriterion("object_name >", value, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameGreaterThanOrEqualTo(String value) {
            addCriterion("object_name >=", value, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameLessThan(String value) {
            addCriterion("object_name <", value, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameLessThanOrEqualTo(String value) {
            addCriterion("object_name <=", value, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameLike(String value) {
            addCriterion("object_name like", value, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameNotLike(String value) {
            addCriterion("object_name not like", value, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameIn(List<String> values) {
            addCriterion("object_name in", values, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameNotIn(List<String> values) {
            addCriterion("object_name not in", values, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameBetween(String value1, String value2) {
            addCriterion("object_name between", value1, value2, "objectName");
            return (Criteria) this;
        }

        public Criteria andObjectNameNotBetween(String value1, String value2) {
            addCriterion("object_name not between", value1, value2, "objectName");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoIsNull() {
            addCriterion("approve_serial_no is null");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoIsNotNull() {
            addCriterion("approve_serial_no is not null");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoEqualTo(String value) {
            addCriterion("approve_serial_no =", value, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoNotEqualTo(String value) {
            addCriterion("approve_serial_no <>", value, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoGreaterThan(String value) {
            addCriterion("approve_serial_no >", value, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoGreaterThanOrEqualTo(String value) {
            addCriterion("approve_serial_no >=", value, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoLessThan(String value) {
            addCriterion("approve_serial_no <", value, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoLessThanOrEqualTo(String value) {
            addCriterion("approve_serial_no <=", value, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoLike(String value) {
            addCriterion("approve_serial_no like", value, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoNotLike(String value) {
            addCriterion("approve_serial_no not like", value, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoIn(List<String> values) {
            addCriterion("approve_serial_no in", values, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoNotIn(List<String> values) {
            addCriterion("approve_serial_no not in", values, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoBetween(String value1, String value2) {
            addCriterion("approve_serial_no between", value1, value2, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andApproveSerialNoNotBetween(String value1, String value2) {
            addCriterion("approve_serial_no not between", value1, value2, "approveSerialNo");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNull() {
            addCriterion("remarks is null");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNotNull() {
            addCriterion("remarks is not null");
            return (Criteria) this;
        }

        public Criteria andRemarksEqualTo(String value) {
            addCriterion("remarks =", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotEqualTo(String value) {
            addCriterion("remarks <>", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThan(String value) {
            addCriterion("remarks >", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThanOrEqualTo(String value) {
            addCriterion("remarks >=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThan(String value) {
            addCriterion("remarks <", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThanOrEqualTo(String value) {
            addCriterion("remarks <=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLike(String value) {
            addCriterion("remarks like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotLike(String value) {
            addCriterion("remarks not like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksIn(List<String> values) {
            addCriterion("remarks in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotIn(List<String> values) {
            addCriterion("remarks not in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksBetween(String value1, String value2) {
            addCriterion("remarks between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotBetween(String value1, String value2) {
            addCriterion("remarks not between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdIsNull() {
            addCriterion("submit_operator_id is null");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdIsNotNull() {
            addCriterion("submit_operator_id is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdEqualTo(Long value) {
            addCriterion("submit_operator_id =", value, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdNotEqualTo(Long value) {
            addCriterion("submit_operator_id <>", value, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdGreaterThan(Long value) {
            addCriterion("submit_operator_id >", value, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdGreaterThanOrEqualTo(Long value) {
            addCriterion("submit_operator_id >=", value, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdLessThan(Long value) {
            addCriterion("submit_operator_id <", value, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdLessThanOrEqualTo(Long value) {
            addCriterion("submit_operator_id <=", value, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdIn(List<Long> values) {
            addCriterion("submit_operator_id in", values, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdNotIn(List<Long> values) {
            addCriterion("submit_operator_id not in", values, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdBetween(Long value1, Long value2) {
            addCriterion("submit_operator_id between", value1, value2, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorIdNotBetween(Long value1, Long value2) {
            addCriterion("submit_operator_id not between", value1, value2, "submitOperatorId");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameIsNull() {
            addCriterion("submit_operator_name is null");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameIsNotNull() {
            addCriterion("submit_operator_name is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameEqualTo(String value) {
            addCriterion("submit_operator_name =", value, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameNotEqualTo(String value) {
            addCriterion("submit_operator_name <>", value, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameGreaterThan(String value) {
            addCriterion("submit_operator_name >", value, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameGreaterThanOrEqualTo(String value) {
            addCriterion("submit_operator_name >=", value, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameLessThan(String value) {
            addCriterion("submit_operator_name <", value, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameLessThanOrEqualTo(String value) {
            addCriterion("submit_operator_name <=", value, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameLike(String value) {
            addCriterion("submit_operator_name like", value, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameNotLike(String value) {
            addCriterion("submit_operator_name not like", value, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameIn(List<String> values) {
            addCriterion("submit_operator_name in", values, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameNotIn(List<String> values) {
            addCriterion("submit_operator_name not in", values, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameBetween(String value1, String value2) {
            addCriterion("submit_operator_name between", value1, value2, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andSubmitOperatorNameNotBetween(String value1, String value2) {
            addCriterion("submit_operator_name not between", value1, value2, "submitOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdIsNull() {
            addCriterion("approve_operator_id is null");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdIsNotNull() {
            addCriterion("approve_operator_id is not null");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdEqualTo(Long value) {
            addCriterion("approve_operator_id =", value, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdNotEqualTo(Long value) {
            addCriterion("approve_operator_id <>", value, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdGreaterThan(Long value) {
            addCriterion("approve_operator_id >", value, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdGreaterThanOrEqualTo(Long value) {
            addCriterion("approve_operator_id >=", value, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdLessThan(Long value) {
            addCriterion("approve_operator_id <", value, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdLessThanOrEqualTo(Long value) {
            addCriterion("approve_operator_id <=", value, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdIn(List<Long> values) {
            addCriterion("approve_operator_id in", values, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdNotIn(List<Long> values) {
            addCriterion("approve_operator_id not in", values, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdBetween(Long value1, Long value2) {
            addCriterion("approve_operator_id between", value1, value2, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorIdNotBetween(Long value1, Long value2) {
            addCriterion("approve_operator_id not between", value1, value2, "approveOperatorId");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameIsNull() {
            addCriterion("approve_operator_name is null");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameIsNotNull() {
            addCriterion("approve_operator_name is not null");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameEqualTo(String value) {
            addCriterion("approve_operator_name =", value, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameNotEqualTo(String value) {
            addCriterion("approve_operator_name <>", value, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameGreaterThan(String value) {
            addCriterion("approve_operator_name >", value, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameGreaterThanOrEqualTo(String value) {
            addCriterion("approve_operator_name >=", value, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameLessThan(String value) {
            addCriterion("approve_operator_name <", value, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameLessThanOrEqualTo(String value) {
            addCriterion("approve_operator_name <=", value, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameLike(String value) {
            addCriterion("approve_operator_name like", value, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameNotLike(String value) {
            addCriterion("approve_operator_name not like", value, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameIn(List<String> values) {
            addCriterion("approve_operator_name in", values, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameNotIn(List<String> values) {
            addCriterion("approve_operator_name not in", values, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameBetween(String value1, String value2) {
            addCriterion("approve_operator_name between", value1, value2, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andApproveOperatorNameNotBetween(String value1, String value2) {
            addCriterion("approve_operator_name not between", value1, value2, "approveOperatorName");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}